## GladeEditable

GladeEditable

## Functions

void | glade_editable_block ()
void | glade_editable_load ()
GladeWidget * | glade_editable_loaded_widget ()
gboolean | glade_editable_loading ()
void | glade_editable_set_show_name ()
void | glade_editable_unblock ()

## Types and Values

| GladeEditable
struct | GladeEditableInterface

## Object Hierarchy

        GInterface
        ╰── GladeEditable

## Prerequisites

GladeEditable requires GtkWidget.

## Known Implementations

GladeEditable is implemented by GladeEditorProperty.

## Description

## Functions

### glade_editable_block ()

    void
    glade_editable_block (GladeEditable *editable);

### glade_editable_load ()

    void
    glade_editable_load (GladeEditable *editable,
                         GladeWidget *widget);

Loads `widget` property values into `editable` (the editable will watch the widgets properties until its loaded with another widget or `NULL`)

#### Parameters

editable | A GladeEditable |
widget | the GladeWidget to load |

### glade_editable_loaded_widget ()

    GladeWidget *
    glade_editable_loaded_widget (GladeEditable *editable);

#### Parameters

editable | A GladeEditable |

#### Returns

a GladeWidget or `NULL` if the editable hasn't been loaded.

[transfer none][nullable]

### glade_editable_loading ()

    gboolean
    glade_editable_loading (GladeEditable *editable);

### glade_editable_set_show_name ()

    void
    glade_editable_set_show_name (GladeEditable *editable,
                                  gboolean show_name);

This only applies for the general page in the property editor, editables that embed the GladeEditorTable implementation for the general page should use this to forward the message to its embedded editable.

#### Parameters

editable | A GladeEditable |
show_name | Whether or not to show the name entry |

### glade_editable_unblock ()

    void
    glade_editable_unblock (GladeEditable *editable);

## Types and Values

### GladeEditable

    typedef struct _GladeEditable GladeEditable;

### struct GladeEditableInterface

    struct GladeEditableInterface {
      GTypeInterface g_iface;

      /* virtual table */
      void          (* load)          (GladeEditable  *editable,
                                       GladeWidget    *widget);
      void          (* set_show_name) (GladeEditable  *editable,
                                       gboolean        show_name);
    };